How to install DDS Support package on Linux?

조회 수: 2(최근 30일)
Stefan Kimmer
Stefan Kimmer 2016년 11월 9일
답변: Stefan Kimmer 2016년 11월 15일
I am trying to install the DDSBlockset for MATLAB 2016a on a Ubuntu 16.04 machine.
For that I am following the install intructions from the documentation: http://www.mathworks.com/hardware-support/files/dds-blockset-support-package-user-guide.pdf And took the note in the following answer into account: https://nl.mathworks.com/matlabcentral/answers/175700-how-do-i-install-rti-dds-support-for-matlab-and-simulink
However nothings happens if I try to run the installer: $sudo ./DDSBlockset-R2016a_v2.9.2_glnxa64-Install --mode console also nothing happens with $sudo ./DDSBlockset-R2016a_v2.9.2_glnxa64-Install or if I am logged into a root shell.
With nothing happens I mean that the terminal returns immediately without giving any message.
What can I do to approach the problem?

채택된 답변

Hari Desanur
Hari Desanur 2016년 11월 14일
편집: Hari Desanur 2016년 11월 14일
The DDS Support package will work correctly only on platforms that are supported by MATLAB.
MATLAB R2016a supports Ubuntu releases Ubuntu 14.04 LTS through 15.10. Refer to this link .
Therefore on Ubuntu 16.04 the DDS package will not work as expected.
  댓글 수: 1
Stefan Kimmer
Stefan Kimmer 2016년 11월 15일
Thanks. I could install the package on Ubuntu 14.04. As a workaround I copied the installed psp toolbox to the Ubunutu 16.04 installed version.

댓글을 달려면 로그인하십시오.

추가 답변(1개)

Stefan Kimmer
Stefan Kimmer 2016년 11월 15일
Even if Matlab 2015b is not supported for Ubuntu 16.04 it does run there. The DDSBlockset installer is made with installJammer (noted in the documentation). It seems however that DDSBlockset-R2016a_v2.9.2_glnxa64-Install is build for 32bit (even though it is meant for 64bit targets). Installing the following 32bit libraries on the 64bit Ubuntu 16.04 solved the issue:
sudo apt-get install libgtk2.0-0:i386 libxtst6:i386 libpangox-1.0-0:i386 \
libpangoxft-1.0-0:i386 libidn11:i386 libglu1-mesa:i386 \
libncurses5:i386 libudev1:i386 libusb-1.0:i386 libusb-0.1:i386 \
gtk2-engines-murrine:i386 libnss3-1d:i386

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by